@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,900;1,100;1,200;1,900&display=swap');

/* * {
    font-family: 'Poppins', sans-serif;
} */

body {
    background: url(https://spinswheels.com/platinumtk/wheel/bg.webp) 0% 0% / 100% no-repeat fixed;
    background-size: cover;
}

td.gcwheel {
    position: relative;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#canvas {
    animation: spin 10s linear infinite;
    display: block;
    margin: 0 auto;
    max-width: 100%;
    height: auto;
}

#luckyWheel {
    display: block;
    margin: 30px auto;
    max-width: 100%;
}

.con_item h4 {
    text-align: center;
}

/* h1 {
    position: relative;
    text-align: center;
    font-weight: 700;
    font-size: 3rem;
    color: rgb(255, 255, 255);
}

h1 span {
    position: relative;
    font-style: italic;
    text-align: center;
    font-weight: 700;
    font-size: 3rem;
    color: rgb(239, 187, 46);
} */

h2 {
    margin-top: 25px;
    font-weight: 500;
    text-align: start;
}

#pointer {
    position: absolute;
    left: 185px;
    top: 50px;
    z-index: 999;
}

#play {
    position: absolute;
    top: 44%;
    left: 50%;
    /* background: url(./gaco.png); */
    /* background-color: rgb(255, 153, 0); */
    background-size: cover;
    transform: translate(-50%, -50%);
    width: 95px;
    height: 95px;
    border-radius: 50%;
    /* border: 5px solid rgb(70, 48, 0); */
    color: rgb(0, 0, 0);
    letter-spacing: 0.1em;
    /* box-shadow: 0 5px 20px #333; */
    font-weight: 600;
    font-size: 15px;
    cursor: pointer;
    z-index: 1;
    transition: transform 0.1s ease;
}

#play:active {
    transform: translate(-50%, -50%) scale(0.85);
}

#play::before {
    content: '';
    position: absolute;
    top: -29px;
    width: 36px;
    left: 15px;
    clip-path: polygon(94% 100%, 51% 0, 9% 100%);
    height: 29px;
    background: rgb(70, 48, 0);
}


#token {
    padding: 8px 12px;
    background-color: rgb(149, 0, 179);
    font-family: 'Poppins', sans-serif;
    color: #ffffff;
    border: none;
    font-weight: 500;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    margin-top: 10px;
    transition: transform 0.1s ease;
}

#token:active {
    transform: scale(0.95);
}

#info {
    cursor: pointer;
    position: fixed;
    float: right;
    top: 0;
    right: 0;
    transition: transform 0.2s ease;
    animation: wiggle 0.5s ease infinite;
}

@keyframes wiggle {

    0%,
    100% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(20deg);
    }

    50% {
        transform: rotate(-20deg);
    }

    75% {
        transform: rotate(12deg);
    }
}

.swal2-styled.swal2-confirm {
    font-family: 'Poppins', sans-serif;
    background-color: #8d0000;
}

.swal2-popup {
    border-radius: 15px;
}

.swal2-styled.swal2-deny {
    background-color: #5d90ff;

}

@keyframes tada {
    0% {
        transform: scale(1);
    }

    10%,
    20% {
        transform: scale(0.9) rotate(-3deg);
    }

    30%,
    50%,
    70%,
    90% {
        transform: scale(1.1) rotate(3deg);
    }

    40%,
    60%,
    80% {
        transform: scale(1.1) rotate(-3deg);
    }

    100% {
        transform: scale(1) rotate(0);
    }
}

.animated-tada .swal2-image {
    animation: tada 0.8s cubic-bezier(.25, .46, .45, .94) both;
}

.main-header-title {
    display: none;

}

/* Swal */

.swal2-popup.swal2-toast {
    box-sizing: border-box;
    grid-column: 1/4 !important;
    grid-row: 1/4 !important;
    grid-template-columns: min-content auto min-content;
    padding: 1em;
    overflow-y: hidden;
    background: #19191a;
    box-shadow: 0 0 1px hsla(0, 0%, 0%, 0.075), 0 1px 2px hsla(0, 0%, 0%, 0.075), 1px 2px 4px hsla(0, 0%, 0%, 0.075), 1px 3px 8px hsla(0, 0%, 0%, 0.075), 2px 4px 16px hsla(0, 0%, 0%, 0.075);
    pointer-events: all;
}

div:where(.swal2-container) div:where(.swal2-popup) {
    background: #171717;
}

div:where(.swal2-container) {
    font-family: 'Poppins', sans-serif;
}

div:where(.swal2-container) button:where(.swal2-styled).swal2-cancel {
    font-family: 'Poppins', sans-serif;
}


div:where(.swal2-container) h2:where(.swal2-title) {
    position: relative;
    max-width: 100%;
    margin: 0;
    padding: 0.8em 1em 0;
    color: #e1e1e1;
    font-size: 1.875em;
    text-align: center;
    text-transform: none;
    word-wrap: break-word;
}

div:where(.swal2-container) input:where(.swal2-input),
div:where(.swal2-container) input:where(.swal2-file),
div:where(.swal2-container) textarea:where(.swal2-textarea) {
    box-sizing: border-box;
    width: auto;
    transition: border-color 0.1s, box-shadow 0.1s;
    border: 1px solid #d9d9d9;
    border-radius: 0.1875em;
    background: #323234;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.06), 0 0 0 3px transparent;
    color: #e1e1e1;
    font-size: 1.125em;
}

div:where(.swal2-container) .swal2-html-container {
    color: #e1e1e1;
    text-align: left;
}

div:where(.swal2-container) div:where(.swal2-validation-message) {
    color: #e1e1e1;
    background: #323234;
}

div:where(.swal2-container) div:where(.swal2-validation-message)::before {
    background: #f27474;
}

.leaderboard {
    width: 55px;
    height: 55px;
    ;
    margin-left: 10px;
    border-radius: 50%;
    padding: 10px;
    left: -4px;
    top: -1%;
    position: absolute;
    cursor: pointer;
    animation: bounceZoomFlip 9s infinite;
}

@keyframes bounceZoomFlip {

    0%,
    20%,
    50%,
    80%,
    100% {
        transform: scale(1);
    }

    40% {
        transform: scale(1.2) rotateY(180deg);
    }

    60% {
        transform: scale(1.2) rotateY(360deg);
    }
}

.swal2-title {
    color: rgb(255, 255, 255);
    font-family: 'Poppins', sans-serif;
}

.leaderboard-table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
}

.leaderboard-table th,
.leaderboard-table td {
    padding: 15px;
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
}

ul {
    list-style: unset;
}

.leaderboard-table th:first-child {
    background-color: #333;
    border-radius: 15px 0 0 0;
    text-align: center;
}

.leaderboard-table th:last-child {
    background-color: #333;
    border-radius: 0 15px 0 0;
    text-align: center;
}

.leaderboard-table th:not(:first-child):not(:last-child) {
    background-color: #333;
    text-align: center;
}

.leaderboard-table tbody tr:nth-child(even) {
    background-color: #555;
}

.swal2-popup {
    border: 2px solid rgb(178, 11, 255);
    border-radius: 15px;
}

.swal2-styled.swal2-confirm {
    background-color: #8d0000;
    font-family: 'Poppins', sans-serif;
    box-shadow: 0 0 1px hsla(44, 100%, 61%, 0.075), 0 1px 2px hsla(46, 100%, 52%, 0.075), 1px 2px 4px hsla(44, 100%, 50%, 0.075), 1px 3px 8px hsla(49, 100%, 52%, 0.075), 2px 4px 16px hsla(0, 0%, 63%, 0.075);
}

.modal-welcome {
    text-align: center;
}

.howbutton {
    font-family: 'Poppins', sans-serif;
    box-shadow: 0 0 1px hsla(44, 100%, 61%, 0.075), 0 1px 2px hsla(46, 100%, 52%, 0.075), 1px 2px 4px hsla(44, 100%, 50%, 0.075), 1px 3px 8px hsla(49, 100%, 52%, 0.075), 2px 4px 16px hsla(0, 0%, 63%, 0.075);
}

.klaimbutton {
    background-color: rgb(0, 119, 6);
    font-family: 'Poppins', sans-serif;
    box-shadow: 0 0 1px hsla(44, 100%, 61%, 0.075), 0 1px 2px hsla(46, 100%, 52%, 0.075), 1px 2px 4px hsla(44, 100%, 50%, 0.075), 1px 3px 8px hsla(49, 100%, 52%, 0.075), 2px 4px 16px hsla(0, 0%, 63%, 0.075);
}

.caraklaim {
    font-family: 'Poppins', sans-serif;
}

.custom-modal-content ul {
    list-style-type: disc !important;
    padding-left: unset !important;
}

.custom-modal-content li {
    list-style-type: disc !important;
}

.custom-modal-content ul>li {
    list-style-type: disc !important;
    margin-left: 20px;
}

#swal2-html-container{
    text-align: center;
}

.custom-modal-content, .modal-bermain{
    text-align: left;
    font-size: 16px;
}